### Method

# Secret Collection set_label_sync

#### Declaration [src]

    gboolean
    secret_collection_set_label_sync (
      SecretCollection* self,
      const gchar* label,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Set the label of this collection.

This function may block indefinitely. Use the asynchronous version in user interface threads.

#### Parameters

`label` | `const gchar*`
| A new label.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the change was successful or not.